<?php

if (!$brands = $_GET['brands']) $brands = "[]"; 
else $brands = json_encode(explode(",", $brands));

if (!$ignore = $_GET['ignore']) $ignore = "[]"; 
else $ignore = json_encode(explode(",", $ignore));

if (!$runName = $_GET['runName']) exit('{"status":"error","mssg":"Please specify a runName."}');

?>

<!DOCTYPE html>
<html>
<header>
	<title>hcTrend</title>
	<script src="js/jquery.min.js" type="text/javascript"></script>
	<script src="Highcharts/js/highcharts.js" type="text/javascript"></script>
	<script type="text/javascript" src="../../Highcharts/js/themes/gray.js"></script>
	<script>
	var chart;
	var pause = 0;
	var tick = 0;
	var logId = 0;
	var brandList = <?php echo $brands ?>;
	var ignore = <?php echo $ignore ?>;
	var brand = "";
	var D = [];
	var members = [];
	
	function requestData() {
    $.ajax({
			url: 'hcTrend_byBrand.php?runName=<?php echo $runName ?>',
			async: false,
			success: function(trendData) { 
				if (pause) return				
				logId++;
														
				var i = 0
				var brand = ""
				var dataPts =[];
				var yAxisNum = 0;
				var typeOpt = "spline";
				var val = 0;
				
				for (brand in trendData) {
					if (!brandList[0] || brandList.indexOf(brand) != -1) {
						for(metric in trendData[brand]) {							
							dataPts = []
							members = []
							
							if (ignore.indexOf(metric) == -1) {
								for (tick in (trendData[brand])[metric]) { 
									if (tick) {
										val =  ((trendData[brand])[metric])[tick]
										if (metric == "F" && ((trendData[brand])["members"])[tick]) val = val/((trendData[brand])["members"])[tick]
										
										dataPts.push(val)
									}
								}							
														
								if (metric ==  "wasteQty") {
									yAxisNum = 1
									typeOpt = 'spline'
								}
								else if (metric == "loss") {
									yAxisNum = 2
									typeOpt = 'spline'
								}
								else {
									yAxisNum = 0
									typeOpt = 'spline'
								}
								
								D.push({name: brand+" "+metric, data: dataPts, yAxis: yAxisNum, type: typeOpt})
								
							}
						}
					}
				}
						
				createChart(D) 
			},
			cache: false
		});
	}
	
	function createChart(dataObjs) { 
		chart = new Highcharts.Chart({
			chart: {
				renderTo: 'container',
				defaultSeriesType: 'line'
			},
			title: {
				text: 'Flora Results'
			},
			xAxis: [{
				type: 'linear',
				max: 720
				//tickPixelInterval: 150,
				//maxZoom: 20 * 1000
			}],
			yAxis: [{
				minPadding: 0.2,
				maxPadding: 0.2,
				title: {
						text: 'Ave. Member Fitness',
						margin: 80
				}
			}, {
				//minPadding: 0.2,
				//maxPadding: 0.2,
				gridLineWidth: 0,
				title: {
						text: 'Waste',
						margin: 80
				},
				opposite: true
			}, {
				//minPadding: 0.2,
				//maxPadding: 0.2,
				gridLineWidth: 0,
				title: {
						text: 'Loss',
						margin: 80
				},
				opposite: true
			}],
			series: dataObjs
		});
	}
	
	$(document).ready(function() {
    requestData();

		$("body").click( function (event) {
			if (event.target.innerHTML == "Pause") {
				if (pause && tick < 481) {
					pause = 0
					requestData()
				}
				else pause = 1
			}
		});
		
	});
	</script>	
</header>
<body>
	<div id="topBar"><button>Pause</button></div>
	<div id="container" style="width: 100%; height: 600px"></div>
</body>
</html>