<!DOCTYPE html>
<html>
<header>
	<title>Highcharts Practice</title>
	<script src="js/jquery.min.js" type="text/javascript"></script>
	<script src="Highcharts/js/highcharts.js" type="text/javascript"></script>
	<script type="text/javascript" src="../../Highcharts/js/themes/gray.js"></script>
	<script>
	var chart;
	var pause = 0;
	var tick = 1;
	var brand = "a0.org";
	
	function requestData() {
    $.ajax({
			url: 'highChartsData.php?tick='+tick,
			success: function(data) {				
				if (pause) return
				
				tick++;			
				
				var series = chart.series[0],
					shift = series.data.length > 800; // shift if the series is longer than 20
				
				for(name in data) { 
					if (name == brand) {
						var point = [tick, data[brand].PNratio]
						
						// add the point
						chart.series[0].addPoint(point, true, shift);
						break;
					}
				}
			
				// call it again after one second
				setTimeout(requestData, 500);    
			},
			cache: false
    });
	}
	
	$(document).ready(function() {
    chart = new Highcharts.Chart({
			chart: {
				renderTo: 'container',
				defaultSeriesType: 'line',
				events: {
						load: requestData
				}
			},
			title: {
				text: 'Flora Results'
			},
			xAxis: {
				type: 'linear',
				//tickPixelInterval: 150,
				//maxZoom: 20 * 1000
			},
			yAxis: {
				minPadding: 0.2,
				maxPadding: 0.2,
				title: {
						text: 'Value',
						margin: 80
				}
			},
			series: [{
				name: 'Random data',
				data: []
			}]
		});

		$("body").click( function (event) {
			if (event.target.innerHTML == "Pause") {
				if (pause) {
					pause = 0
					requestData()
				}
				else pause = 1
			}
		});
		
	});
	</script>	
</header>
<body>
	<div id="container" style="width: 100%; height: 400px"></div>
	<button>Pause</button>
</body>
</html>